{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "ngfrontend": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/ngfrontend",
            "index": "src/index.html",
            "main": "src/main.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.app.json",
            "allowedCommonJsDependencies": [
              "chart.js",
              "moment",
              "ts-md5"
            ],
            "assets": [
              "src/favicon.ico",
              "src/assets",
              {
                "glob": "**/*",
                "input": "node_modules/tinymce",
                "output": "/tinymce/"
              }
            ],
            "styles": [
              "src/styles.scss",
              "node_modules/flag-icons/css/flag-icons.min.css"
            ],
            "scripts": [
              "node_modules/tinymce/tinymce.min.js"
            ],
            "vendorChunk": true,
            "extractLicenses": false,
            "buildOptimizer": false,
            "sourceMap": true,
            "optimization": false,
            "namedChunks": true
          },
          "configurations": {
            "production-staff": {
              "main": "src/staff-main.ts",
              "tsConfig": "staff-tsconfig.app.json",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment-staff.prod.ts"
                }
              ],
              "assets": [
                {
                  "glob": "favicon.ico",
                  "input": "src/",
                  "output": "./"
                },
                {
                  "glob": "**/*",
                  "input": "src/assets/fonts",
                  "output": "./assets/fonts"
                },
                {
                  "glob": "**/*",
                  "input": "src/assets/img",
                  "output": "./assets/img"
                },
                {
                  "glob": "assets/config-templates/staff-template.config.json",
                  "input": "src/",
                  "output": "./"
                },
                {
                  "glob": "assets/config-base/staff.config.json",
                  "input": "src/",
                  "output": "./"
                },
                {
                  "glob": "**/*",
                  "input": "node_modules/tinymce",
                  "output": "./tinymce/"
                }
              ],
              "scripts": [
                "node_modules/tinymce/tinymce.min.js"
              ],
              "optimization": {
                "scripts": true,
                "styles": {
                  "minify": true,
                  "inlineCritical": false
                },
                "fonts": true
              },
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "baseHref": "/staff/",
              "outputPath": "dist/ngfrontend/staff/sources",
              "deployUrl": "sources/",
              "index": {
                "input": "src/index.html",
                "output": "../index.html"
              },
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "9mb",
                  "maximumError": "15mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
            },
            "production-enduser": {
              "main": "src/enduser-main.ts",
              "tsConfig": "enduser-tsconfig.app.json",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment-enduser.prod.ts"
                }
              ],
              "assets": [
                {
                  "glob": "favicon.ico",
                  "input": "src/",
                  "output": "./"
                },
                {
                  "glob": "**/*",
                  "input": "src/assets/fonts",
                  "output": "./assets/fonts"
                },
                {
                  "glob": "**/*",
                  "input": "src/assets/img",
                  "output": "./assets/img"
                },
                {
                  "glob": "assets/config-templates/enduser-template.config.json",
                  "input": "src/",
                  "output": "./"
                },
                {
                  "glob": "assets/config-base/enduser.config.json",
                  "input": "src/",
                  "output": "./"
                },
                {
                  "glob": "**/*",
                  "input": "node_modules/tinymce",
                  "output": "./tinymce/"
                }
              ],
              "scripts": [
                "node_modules/tinymce/tinymce.min.js"
              ],
              "optimization": {
                "scripts": true,
                "styles": {
                  "minify": true,
                  "inlineCritical": false
                },
                "fonts": true
              },
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "baseHref": "/",
              "outputPath": "dist/ngfrontend/enduser/sources",
              "deployUrl": "sources/",
              "index": {
                "input": "src/index.html",
                "output": "../index.html"
              },
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "9mb",
                  "maximumError": "15mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
            },
            "production-staff-test": {
              "main": "src/staff-main.ts",
              "tsConfig": "staff-tsconfig.app.json",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment-staff.prod.ts"
                }
              ],
              "assets": [
                "src/favicon.ico",
                "src/assets/fonts",
                "src/assets/img",
                "src/assets/locale",
                "src/assets/config/staff.config.json",
                "src/assets/config-templates/staff-template.config.json",
                "src/assets/config-base/staff.config.json",
                {
                  "glob": "**/*",
                  "input": "node_modules/tinymce",
                  "output": "/tinymce/"
                }
              ],
              "scripts": [
                "node_modules/tinymce/tinymce.min.js"
              ],
              "optimization": {
                "scripts": true,
                "styles": {
                  "minify": true,
                  "inlineCritical": false
                },
                "fonts": true
              },
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "baseHref": "/",
              "outputPath": "dist/ngfrontend/staff",
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "3mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
            },
            "production-enduser-test": {
              "main": "src/enduser-main.ts",
              "tsConfig": "enduser-tsconfig.app.json",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment-enduser.prod.ts"
                }
              ],
              "assets": [
                "src/favicon.ico",
                "src/assets/fonts",
                "src/assets/img",
                "src/assets/locale",
                "src/assets/config/enduser.config.json",
                "src/assets/config-templates/enduser-template.config.json",
                "src/assets/config-base/enduser.config.json",
                {
                  "glob": "**/*",
                  "input": "node_modules/tinymce",
                  "output": "/tinymce/"
                }
              ],
              "scripts": [
                "node_modules/tinymce/tinymce.min.js"
              ],
              "optimization": {
                "scripts": true,
                "styles": {
                  "minify": true,
                  "inlineCritical": false
                },
                "fonts": true
              },
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "baseHref": "/",
              "outputPath": "dist/ngfrontend/enduser",
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "3mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
            },
            "production": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "optimization": {
                "scripts": true,
                "styles": {
                  "minify": true,
                  "inlineCritical": false
                },
                "fonts": true
              },
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "3mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "buildTarget": "ngfrontend:build"
          },
          "configurations": {
            "production": {
              "buildTarget": "ngfrontend:build:production"
            },
            "production-staff": {
              "buildTarget": "ngfrontend:build:production-staff"
            },
            "production-enduser": {
              "buildTarget": "ngfrontend:build:production-enduser"
            },
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "buildTarget": "ngfrontend:build"
          },
          "configurations": {
            "production": {
              "buildTarget": "ngfrontend:build:production"
            },
            "production-staff": {
              "buildTarget": "ngfrontend:build:production-staff"
            },
            "production-enduser": {
              "buildTarget": "ngfrontend:build:production-enduser"
            },
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.spec.json",
            "karmaConfig": "karma.conf.js",
            "assets": [
              "src/favicon.ico",
              "src/assets"
            ],
            "styles": [
              "src/styles.scss"
            ],
            "fileReplacements": [
              {
                "replace": "src/environments/environment.ts",
                "with": "src/environments/environment-unit.ts"
              }
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-eslint/builder:lint",
          "options": {
            "lintFilePatterns": [
              "src/**/*.ts",
              "src/**/*.html"
            ]
          }
        }
      }
    }
  },
  "cli": {
    "analytics": false
  }
}
